# Generated from itms_automation-2.8.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name itms_automation

Name: rubygem-%{gem_name}
Version: 2.8.3
Release: 1%{?dist}
Summary: SELENIUM WEBDRIVER WITH RUBY & CUCUMBER
License: MIT
URL: http://infodation.nl/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
Behavior driven development (BDD) approach to write automation test script to
test Web and Android applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/itms_automation
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/doc
%{gem_instdir}/features-skeleton

%changelog
* Mon Sep 13 2021 mockbuilder - 2.8.3-1
- Initial package
